I download recent version. Thank you .
But I cannot install recent charmm version.

The error occurred.


sohyeon@theochem11 charmm]$ ./configure
=====
swapping directories temporarily
~/charmm/build/cmake ~/charmm
=====
WARNING build directory not empty
moving to /export/home/sohyeon/charmm/build/cmake
press ctrl+c to abort
=====
configuration using cmake continues using
env /usr/local/bin/cmake -DCMAKE_INSTALL_PREFIX=/export/home/sohyeon/charmm -Din_place_install=ON /export/home/sohyeon/charmm

after configuration run make in
/export/home/sohyeon/charmm/build/cmake
to compile and link the charmm executable
=====
-- Could NOT find MKL (missing: MKL_INCLUDE_DIR)
CMake Error at tool/cmake/FindOpenMP_Fortran.cmake:128 (try_compile):
COPY_FILE specified on a srcdir type TRY_COMPILE
Call Stack (most recent call first):
tool/cmake/FindOpenMP_Fortran.cmake:176 (_OPENMP_GET_SPEC_DATE)
CMakeLists.txt:268 (find_package)


-- Could NOT find OPENMM (missing: OPENMM_INCLUDE_DIRS OPENMM_LIBRARIES)
-- Could NOT find OPENMM_CPU (missing: OPENMM_CPU_PLUGIN)
-- Could NOT find OPENMM_CUDA (missing: OPENMM_CUDA_PLUGIN)
-- Could NOT find OPENMM_OPENCL (missing: OPENMM_OPENCL_PLUGIN)
-- Could NOT find ExaFMM (missing: ExaFMM_LIBRARY)
CUDA_TOOLKIT_ROOT_DIR not found or specified
-- Could NOT find CUDA (missing: CUDA_TOOLKIT_ROOT_DIR CUDA_NVCC_EXECUTABLE CUDA_INCLUDE_DIRS CUDA_CUDART_LIBRARY)
-- OpenCL not found
-- full build chosen
CMake Error at CMakeLists.txt:814 (target_compile_definitions):
Unknown CMake command "target_compile_definitions".


-- Configuring incomplete, errors occurred!
=====
ERROR cmake configure failed
check cmake log files and try again




Installed cmake version is 2.8.10.2.
Is there a charmm installation error because the cmake version is too low?

Last edited by sohyeon; 09/24/19 11:15 AM.